/* 
 * intersect.h - This file contains the declarations and defines for the
 *               functions that manage intersection, bounding and CSG..
 *
 *  $Id: intersect.h,v 1.15 2000/09/05 03:52:48 johns Exp $
 */

unsigned int new_objectid(scenedef *);
void free_objects(object *);
void intersect_objects(ray *);

void add_regular_intersection(flt, object *, ray *);
int closest_intersection(flt *, object **, ray *);

void add_shadow_intersection(flt, object *, ray *);
int shadow_intersection(ray *);

#define reset_intersection(ry) \
	(ry)->intstruct.num = 0

